package com.ruoyi.system.domain.member;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 委员考核分数对象 member_assessment_info
 * 
 * @author boman
 * @date 2024-03-20
 */
public class MemberAssessmentInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 委员考核分数ID */
    private Long memberAssessmentId;

    /** 账号表ID */
    @Excel(name = "账号表ID")
    private Long userId;

    /** 提案分数 */
    @Excel(name = "提案分数")
    private Long proposalScore;

    /** 社情民意分数 */
    @Excel(name = "社情民意分数")
    private Long sqmyScore;

    /** 会议分数 */
    @Excel(name = "会议分数")
    private Long conferenceScore;

    /** 活动分数 */
    @Excel(name = "活动分数")
    private Long activityScore;

    /** 加分(其他分数) */
    @Excel(name = "加分(其他分数)")
    private Long bonusScore;

    /** 总分 */
    @Excel(name = "总分")
    private Long totalScore;

    /** 排名 */
    @Excel(name = "排名")
    private String rank;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    public Long getMemberAssessmentId() {
        return memberAssessmentId;
    }

    public void setMemberAssessmentId(Long memberAssessmentId) {
        this.memberAssessmentId = memberAssessmentId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getProposalScore() {
        return proposalScore;
    }

    public void setProposalScore(Long proposalScore) {
        this.proposalScore = proposalScore;
    }

    public Long getSqmyScore() {
        return sqmyScore;
    }

    public void setSqmyScore(Long sqmyScore) {
        this.sqmyScore = sqmyScore;
    }

    public Long getConferenceScore() {
        return conferenceScore;
    }

    public void setConferenceScore(Long conferenceScore) {
        this.conferenceScore = conferenceScore;
    }

    public Long getActivityScore() {
        return activityScore;
    }

    public void setActivityScore(Long activityScore) {
        this.activityScore = activityScore;
    }

    public Long getBonusScore() {
        return bonusScore;
    }

    public void setBonusScore(Long bonusScore) {
        this.bonusScore = bonusScore;
    }

    public Long getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Long totalScore) {
        this.totalScore = totalScore;
    }

    public String getRank() {
        return rank;
    }

    public void setRank(String rank) {
        this.rank = rank;
    }

    @Override
    public String getYear() {
        return year;
    }

    @Override
    public void setYear(String year) {
        this.year = year;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("memberAssessmentId", getMemberAssessmentId())
            .append("userId", getUserId())
            .append("proposalScore", getProposalScore())
            .append("sqmyScore", getSqmyScore())
            .append("conferenceScore", getConferenceScore())
            .append("activityScore", getActivityScore())
            .append("bonusScore", getBonusScore())
            .append("totalScore", getTotalScore())
            .append("rank", getRank())
            .append("year", getYear())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
